# posixAccount Class Reference

posixAccount plugin More...

Inheritance diagram for posixAccount:

List of all members.

## Public Member Functions

| posixAccount ($dn=NULL)
| execute ()
| execute plugin
| remove_from_parent ()
| save_object ()
| save ()
| check ()
| addGroup ($groups)
| delGroup ($groups)
| adapt_from_template ($dn)

## Public Attributes

| homeDirectory = ""
| loginShell = "/bin/bash"
| uidNumber = ""
| gidNumber = ""
| gecos = ""
| shadowMin = "0"
| shadowMax = "0"
| shadowWarning = "0"
| shadowLastChange = "0"
| shadowInactive = "0"
| shadowExpire = "0"
| gosaDefaultPrinter = ""
| gosaDefaultLanguage = ""
| gosaHostACL = array()
| status = ""
| loginShellList = array()
| groupMembership = array()
| savedGroupMembership = array()
| savedUidNumber = ""
| savedGidNumber = ""
| use_shadowMin = "0"
| use_shadowMax = "0"
| use_shadowWarning = "0"
| use_shadowInactive = "0"
| use_shadowExpire = "0"
| must_change_password = "0"
| force_ids = 0
| printerList = array()
| group_dialog = FALSE
| hosts_dialog = FALSE
| attributes
| objectclasses = array("posixAccount", "shadowAccount")

## Detailed Description

posixAccount plugin

Author:
  Cajus Pollmeier <pollmeier@gonicus.de>

Version:
  2.00

Date:
  24.07.2003

This class provides the functionality to read and write all attributes relevant for posixAccounts and shadowAccounts from/to the LDAP. It does syntax checking and displays the formulars required.

## Member Function Documentation

posixAccount::execute | ( |  | ) |

| execute plugin Generates the html output for this node Reimplemented from plugin.

## Member Data Documentation

posixAccount::attributes

Initial value:

     array("homeDirectory", "loginShell", "uidNumber", "gidNumber", "gecos",
                            "shadowMin", "shadowMax", "shadowWarning", "shadowInactive", "shadowLastChange",
                            "shadowExpire", "gosaDefaultPrinter", "gosaDefaultLanguage", "uid")

Reimplemented from plugin.

The documentation for this class was generated from the following file:

- class_posixAccount.inc